org.apache.http.impl.conn.tsccm

## Class WaitingThreadAborter

- java.lang.Object
- - org.apache.http.impl.conn.tsccm.WaitingThreadAborter

- Deprecated.
  (4.2) do not use

      @Deprecated
      public class WaitingThreadAborter
      extends Object

  A simple class that can interrupt a `WaitingThread`. Must be called with the pool lock held.
  Since:
    4.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WaitingThreadAborter()` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `abort()` Deprecated. If a waiting thread has been set, interrupts it.
    `void` | `setWaitingThread(WaitingThread waitingThread)` Deprecated. Sets the waiting thread.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WaitingThreadAborter

          public WaitingThreadAborter()

      Deprecated.

  - ### Method Detail

    - #### abort

          public void abort()

      Deprecated.
      If a waiting thread has been set, interrupts it.

    - #### setWaitingThread

          public void setWaitingThread(WaitingThread waitingThread)

      Deprecated.
      Sets the waiting thread. If this has already been aborted, the waiting thread is immediately interrupted.
      Parameters:
        `waitingThread` - The thread to interrupt when aborting.

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.